Name:           python-configparser
Version:	3.5.0b2
Release:        0.2%{?dist}
Summary:	Backport of python 3 configparser module to python 2.7 (and 2.6)

# The license is taken from the pypi index (owned by the package author):
# https://pypi.python.org/pypi/configparser
# The python 3 version of this code is under the Python license
License:	MIT
URL:		https://bitbucket.org/ambv/configparser
Source0:	https://pypi.python.org/packages/source/c/configparser/configparser-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:  python2-devel python-setuptools
Requires:	python-setuptools

%description
The ancient ConfigParser module available in the standard library 2.x
has seen a major update in Python 3.2. This package is a backport of
those changes so that they can be used directly in Python 2.6 - 3.5.

In Fedora, this package is only provided for Python 2 because a recent
version is already installed as part of the Python 3 standard library.


%prep
%setup -q -n configparser-%{version}
rm -rf *.egg-info


%build
%{__python2} setup.py build


%install
rm -rf %{buildroot}
%{__python2} setup.py install --skip-build --root %{buildroot}


%check
%{__python2} setup.py test


%files
%doc README.rst
%{python2_sitelib}/*


%changelog
* Thu Jul 16 2015 José Matos <jamatos@fedoraproject.org> - 3.5.0b2-0.2
- Improve description to make it clear that this package in only needed for python 2.7
- Make the license tag information more explicit.

* Wed Jul 15 2015 José Matos <jamatos@fedoraproject.org> - 3.5.0b2-0.1
- First release for Fedora
